# Humour Classification/Scoring
## \cite{Mihalcea2006}: Learning to laugh (automatically): Computational models for humor recognition
- specifically identifying "one-liners"
- "humorous" one-liners via bootstrapping
- experiments performed on very large data sets
- features such as alliteration, word-based antonymy (clean/cluttered), or specific vocabulary (adult slang).
- also used content-based features (SVM and NB)
- accuracy figures ranging from 79.15% (One-liners/BNC) to 96.95% (One-liners/Reuters headliens).
- alliteration feature appears to be the most useful indicator of humour
- SVM and NB just clean house
- stacking features results in small improvement for routers and BNC
- regardless of the type of negative data, there is significant learning only until about 60% of the data (i.e., about 10,000 positive examples, and the same number of negative examples).

## \cite{Reyes2012}: From humor recognition to irony detection: The figurative language of social media

- describing a model for recognizing these phenomena in social media, such as “tweets"
- five data sets retrieved from Twitter taking advantage of user-generated tags, such as “#humor" and “#irony"
- irony detection [44,45,10,35], satire detection [9], and sarcasm detection [43,18]
-features:
    - ambiguity, concerning with three layers: structural, morphosyntactic and semantic
        - the perplexity of a set of funny texts against that of non-funny ones.
        - we think that the number of POS tags that any word in context can have, is a hint at the underlying mechanism of humor to produce its effect
        - we defined a measure to statistically estimate the range of semantic dispersion profiled by a text in order to determine how ambiguous this text is
    - polarity, concerning with words that denote either positive or negative semantic orientation
        -  conveying the opposite meaning by profiling positive qualities over negative ones
    - unexpectedness
        - the lesser semantic relatedness, the greater contextual imbalance (funny/ironic texts)
    - emotional scenarios, concerning with psychological contexts regarding natural language concepts.
        - categories quantify emotional words in terms of scores obtained from human ratings regarding natural language
        - activation (degree of response, either passive or active, that humans have under an emotional state), imagery (how difficult it is to form a mental picture of a given word), and pleasantness (degree of pleasure produced by the words)

- decision tree + frequency-weighted term vector
- when considering the whole set of features, humor reaches up to 93% of accuracy (Table 3), whereas irony markedly improves its score, reaching up to 90% in its best result for binary classification
- multi-class problem was 80% accuracy for both
- the role played by the last feature (emotional scenarios) on the classifications is significant. Considering the three categories (activation, imagery, pleasantness)
