# News Ranking/Scoring
##  \cite{Phelan2009}: Using Twitter to Recommend Real-Time Topical News
- In this short paper we will consider the problem of identifying niche topical news stories. Current recommender systems are limited in their ability to identify such stories because, typically, they rely on a critical mass of user consumption before such stories can be recognised.
- In this paper, we consider a novel alternative to conventional recommendation approaches by harnessing a popular micro- blogging service such as Twitter.

## \cite{Lin2008}: Emotion Classification of Online News Articles from the Reader’s Perspective
- In this paper, we automatically classify documents into reader-emotion categories (useful, happy, heartwarming etc.)

## \cite{Tatar2012}: Ranking news articles based on popularity prediction

- In this paper we address the problem of predicting the popularity of news articles based on user comments.
- Our results indicate that prediction methods improve the ranking performance and we observed that for our dataset a simple linear predictor is best.
- In this paper we consider the number of comments as an implicit evaluator of the interest generated by an article.
- A common characteristic of online content is that it suffers
from a decay of interest over time, and depending on the type of content, this interest may be steep or gradual.

## \cite{Liu2007}: Algorithm for Ranking News
- In terms of examination of properties of news articles produced by news ranking function, semantic relevancy, freshness, citation count and degree of authority are combined into the model, and extended relevance is proposed.
- In order to measure the semantic relevancy, the traditional vector model is modified and time is taken into account.
- Set similarity metric.
- Hard set authority score.

## \cite{DelCorso2005}: Ranking a Stream of News
- The ranking algorithm pro- posed ranks news information, finding the most authoritative news sources and identifying the most interesting events in the different categories to which news article belongs.
- The complexity of our algorithm is linear in the number of pieces of news still under consideration at the time of a new posting. This allow a continuous on-line process of ranking.
- Our ranking scheme depends on two parameters, ρ ac-
counting for the decay rate of freshness of news articles, and β which gives us the amount of source’s rank we want to transfer to each posted piece of news.


